T O P

Can Adobe zii 6.1.4 k'ed the latest Premiere pro 15.4 with m1 native

Can Adobe zii 6.1.4 k'ed the latest Premiere pro 15.4 with m1 native

krishnavinci

Adobe zii 6.1.4 support until premiere 15.2.. They will add 15.4 in next version.. You can read in their website about supported versions.. I tried 15.4 to test auto transcribe too๐Ÿ˜‚๐Ÿ˜‚


nfilipek

NO!


Skyck69

do you have any dmg file for 15.2 tho ? i guess that version was working fine for me and i shouldnt have updated it


Nawat_Home

Me too, every dmg that i looked up are damaged and cant install it


Skyck69

Indeed bro, I guess i need to buy it for one time to roll back to previous version since, bought products shows previous products. I may be wrong here but in case of photoshop (which I've bought) it shows its previous version to install too, so that might happen incase of premiere too, I'll try ! Or I'll just go with Davinci them lol its easy to crack it


JustMeJip2

I have the last Adobe premier with m1 Big Sur 11.3 with patch 6.1.4 and itโ€™s running perfect, the only problem that I have is with Lightroom :(


adx74

You have Premiere Pro 15.4 activated with Adobe Zii 6.1.4 and it's work ?


JustMeJip2

Yes sr, yes indeed.


Nawat_Home

It doesn't work on my M1 imac. After using adobe zii 6.1.4 with the latest 15.4 premiere pro, I can't open it.


sebastianogirotto

same, but it's a 2012 iMac


JustMeJip2

Thatโ€™s odd, I think it happens with random softwares because photoshop and premier works perfect but Lightroom isnโ€™t working ๐Ÿ˜ž๐Ÿ˜ž๐Ÿ˜ž


adx74

Same for me โ€ฆ